For the complete documentation index, see llms.txt. This page is also available as Markdown.

Void payment

Void payment

post
/api/v1/payments/{id}/void

Void a Pre-Authorized payment. Only a payment in AUTHORIZED state can be voided. The payment will be transferred to CANCELLED state and will no longer be available for capturing.

Authorizations
AuthorizationstringRequired

The client sends HTTP requests with the Authorization header that contains the word Bearer followed by a space and the Shop Api Key.

Path parameters
idstringRequired

Payment Id

Pattern: /[a-zA-Z0-9]{32}/
Responses
200

Payment response

application/json
timestampstring · ISO 8601OptionalExample: 2020-10-07T13:36:32.595+00:00
statusintegerOptional

HTTP status code

Example: 200
post/api/v1/payments/{id}/void
POST /api/v1/payments/{id}/void HTTP/1.1
Host: engine-sandbox.convergegate.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "timestamp": "2020-10-07T13:36:32.595+00:00",
  "status": 200,
  "result": {
    "id": "91d27876e87f4b22b3ecd53924bf973d",
    "referenceId": "payment-123",
    "created": "2030-12-25T10:11:12",
    "paymentType": "DEPOSIT",
    "state": "PENDING",
    "description": "Deposit via TEST shop",
    "parentPaymentId": "91d27876e87f4b22b3ecd53924bf973d",
    "paymentMethod": "BASIC_CARD",
    "paymentMethodDetails": {
      "customerAccountNumber": "400000***0002",
      "cardToken": "3529d42227424875af8722cbf54d7073",
      "cardholderName": "John Doe",
      "cardExpiryMonth": "01",
      "cardExpiryYear": "2030",
      "cardBrand": "VISA",
      "cardIssuingCountryCode": "CY"
    },
    "amount": 11.12,
    "currency": "EUR",
    "customerAmount": 15,
    "customerCurrency": "USD",
    "redirectUrl": "http://start/payment/6ccaa03cb2c242a68ce332f38fedfad7",
    "errorCode": "4.01",
    "errorMessage": "Insufficient Funds",
    "externalResultCode": "03",
    "customer": {
      "referenceId": "customer_123",
      "citizenshipCountryCode": "AU",
      "firstName": "John",
      "lastName": "Smith",
      "dateOfBirth": "2001-12-03",
      "email": "[email protected]",
      "phone": "357 123123123",
      "locale": "ru",
      "accountNumber": "text",
      "accountName": "text",
      "accountType": "SAVINGS",
      "bank": "text",
      "bankCode": "text",
      "bankBranch": "text",
      "bankBranchCode": "text",
      "documentType": "BR_CPF",
      "documentNumber": "text",
      "routingGroup": "VIP",
      "kycStatus": true,
      "paymentInstrumentKycStatus": true,
      "dateOfFirstDeposit": "2021-01-01",
      "depositsAmount": 5000,
      "withdrawalsAmount": 1000,
      "depositsCnt": 5000,
      "withdrawalsCnt": 1000,
      "ip": "152.13.130.125"
    },
    "billingAddress": {
      "addressLine1": "7, Sunny street",
      "addressLine2": "Office 3",
      "city": "Limassol",
      "countryCode": "CY",
      "postalCode": "4141",
      "state": "CA"
    },
    "startRecurring": true,
    "preAuth": true,
    "recurringToken": "text",
    "terminalName": "text",
    "externalFeeAmount": 15,
    "externalFeeCurrency": "USD"
  }
}

Last updated